/******************************************************************************
CLASSE DIALRESOLUCAO
CRIADO: 31-10-2008
ALTERADO: 27-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "dialresolucao.h"


DialResolucao::DialResolucao():DialBase(){
	setWindowTitle("Resoluo - " + (const QString&)NOME);
	setMinimumSize( QSize( 320, 140 ) );
	setMaximumSize( QSize( 320, 140 ) );

	QFont fonte = QFont("Bitstream", FONTE_MEDIA);
	box = new QGroupBox( this );
	box->setTitle("Resoluo");
	box->setFont(fonte);

	cmbResolucao = new QComboBox( box );
	cmbResolucao->clear();
	cmbResolucao->addItem("96");
	cmbResolucao->addItem("75");
	cmbResolucao->setFont(fonte);

	btnAplicar = new QPushButton("Aplicar", box );
	btnAplicar->setFont(fonte);

	btnCancelar->setDefault(TRUE);

	connect( btnAplicar, SIGNAL( clicked () ), this, SLOT(chamarResolucao() ) );
	
	box->setGeometry( QRect( 10, 10, 300, 80 ) );
	cmbResolucao->setGeometry( QRect( 10, 30, 200, 25 ) );
	btnAplicar->setGeometry( QRect( 220, 30, 70, 25 ) );
	
	btnCancelar->setGeometry( QRect( width() - 80, height() - 30, 70, 25 ) );
}

void DialResolucao::chamarResolucao(){
	resolucao.carregaResolucao(cmbResolucao->currentText());
	AMessageBox aMsgBox;
	aMsgBox.ok(" necessrio reiniciar a " + (const QString&)NOME + " para que as novas "
	"configuraes funcionem corretamente!", "Reiniciar " + (const QString&)NOME);
	btnCancelar->setText("Fechar");
	btnCancelar->setToolTip("Fechar este Formulrio");
	btnCancelar->setDefault(true);
}

