/******************************************************************************
HEADER DA CLASSE FERRAMENTAS (CONJUNTO DE METODOS)
CRIADO: 09-2007
ALTERADO: 25-11-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/
#ifndef FERRAMENTAS_H
#define FERRAMENTAS_H

#include <QtGui>

#include "const.h"

class Ferramentas
{

public:
	Ferramentas();
	virtual ~Ferramentas();
	QString rw (const QString &, char, const QString &);
	QString separaCapitulos(const QString &, short int idTestamento, bool secundario);
	QString busca(const QString &, short int idTestamento,  short int idModo, bool secundario);
	QString passagens(const QString & verso, short int idTestamento, bool secundario);
	int descobreTestamento(const QString &);
	
	QString semAcentos(const QString &texto);
	QString semAcentosMM(const QString &texto);

private:
	QString novoTestamento(bool secundario);
	QString antigoTestamento(bool secundario);
};

#endif

