/******************************************************************************
CLASSE READESTUDOSVISUALIZAR
CRIADO: 10-07-2008
ALTERADO: 25-10-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "readestudosvisualizar.h"

ReadEstudosVisualizar::ReadEstudosVisualizar(const QString& categoria, const QString& titulo, const QString& texto, const QString& autor, const QString& data, const QString& revisor, const QString& dataRevisao):ReadEstudos(){

	BBCodeHtml bbToHtml;
	setWindowState(Qt::WindowNoState);

	if (titulo.trimmed() == "" || categoria.trimmed() == "")
		setWindowTitle("Visualizando: Estudo sem ttulo - " + (const QString&)NOME);
	else
		setWindowTitle("Visualizando: " + titulo + " (" + categoria + ") - " + (const QString&)NOME);
	ledTitulo->setText(titulo);
	ledCategoria->setText(categoria);
	caixaTexto->setHtml(bbToHtml.convert(texto));
	ledAutor->setText(autor);
	v.setValue(data);
	dedData->setDate(v.toDate());
	tedRevisor->setText(revisor);
	v.setValue(dataRevisao);
	dedDataRevisao->setDate(v.toDate());
	caixaTexto->setReadOnly(true);
	ledTitulo->setReadOnly(true);
	ledCategoria->setReadOnly(true);
	ledAutor->setReadOnly(true);
	dedData->setReadOnly(true);
	tedRevisor->setReadOnly(true);
	dedDataRevisao->setReadOnly(true);
}

void ReadEstudosVisualizar::closeEvent(QCloseEvent *event){
	liberarMemoria();
	event->accept();
}

