/******************************************************************************
CLASSE BBCODEHTML
CRIADO: 01-07-2008
ALTERADO: 10-07-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "bbcodehtml.h"

BBCodeHtml::BBCodeHtml():QObject(){
	listHtml 
	<< "<b>" << "</b>"	
	<< "<i>" << "</i>" 
	<< "<u>" << "</u>"
	<< "<blockquote>" << "</blockquote>"
	<< "<ul>" << "</ul>"
	<< "<ol>" << "</ol>"
	<< "<li>" << "</li>"
	<< "<p align=\"left\">" << "</p>"
	<< "<p align=\"center\">" << "</p>"
	<< "<p align=\"right\">" << "</p>"
	<< "<h1>" << "</h1>"
	<< "<h2>" << "</h2>"
	<< "<h3>" << "</h3>"
	<< "<h4>" << "</h4>"
	<< "<h5>" << "</h5>"
	<< "<h6>" << "</h6>"
	<< "<font color=\"red\">" << "</font>"
	<< "<font color=\"yellow\">" << "</font>"
	<< "<font color=\"blue\">" << "</font>"
	<< "<font color=\"green\">" << "</font>"
	<< "<font color=\"black\">" << "</font>"
	<< "<font color=>" << "</font>"
	<< "<a href=>" << "</a>"
	;
	listBBCode
	<< "[b]" << "[/b]"
 	<< "[i]" << "[/i]"
	<< "[u]" << "[/u]"
	<< "[blockquote]" << "[/blockquote]"
	<< "[ul]" << "[/ul]"
	<< "[ol]" << "[/ol]"
	<< "[li]" << "[/li]"
	<< "[left]" << "[/left]"
	<< "[center]" << "[/center]"
	<< "[right]" << "[/right]"
	<< "[h1]" << "[/h1]"
	<< "[h2]" << "[/h2]"
	<< "[h3]" << "[/h3]"
	<< "[h4]" << "[/h4]"
	<< "[h5]" << "[/h5]"
	<< "[h6]" << "[/h6]"
	<< "[red]" << "[/red]"
	<< "[yellow]" << "[/yellow]"
	<< "[blue]" << "[/blue]"
	<< "[green]" << "[/green]"
	<< "[black]" << "[/black]"
	<< "[color=" << "[/color]"
	<< "[url=" << "[/url]"
	;
}

QString BBCodeHtml::convert(const QString &t){
	QString texto, line, resultado, comando, parametro;
	bool flag, flagParametro;

	texto = t;

	QTextStream stream;
	stream.setString(&texto, QIODevice::ReadOnly);
	while ( !stream.atEnd() ) {
		line = stream.readLine();
		comando = "";
		flag = false;
		if (line.contains("[")){
			for (int i = 0; i < line.length(); i++){
				if (line[i] == ']'){
					comando += line[i];
					flag = false;
					for (int j = 0; j < listBBCode.size(); j++)
						if (comando.compare(listBBCode.at(j), Qt::CaseInsensitive) == 0)
							line.replace(comando, listHtml.at(j), Qt::CaseInsensitive);
						
						else if (comando.contains(listBBCode.at(j), Qt::CaseInsensitive))
							if(comando[comando.length() - 1] == ']'){
								flagParametro = false;
								for (int l = 0; l < comando.length(); l++){
									if (comando[l] == '=')
										flagParametro = true;
									if ((flagParametro) && (l < comando.length()) )
										parametro += comando[l];
								}
								QString temp = listHtml.at(j);
								temp.replace("=", parametro); 
								line.replace(comando, temp, Qt::CaseInsensitive);
							}
				}
				if (flag)
					comando += line[i];
				if (line[i] == '['){
					comando = line[i];
					flag = true; 
				}
			}
		}
		resultado += line + "<br>";
	}
	return resultado;
}

BBCodeHtml::~BBCodeHtml(){
}

