/******************************************************************************
CLASSE DIALCREDITOS
CRIADO: 31-10-2008
ALTERADO: 14-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#include "dialcreditos.h"


DialCreditos::DialCreditos():DialBase(){
	setWindowTitle("Crditos - " + (const QString&)NOME);
	setMinimumSize( QSize( 450, 350 ) );
	setMaximumSize( QSize( 450, 350 ) );
	
	QFont fonte = QFont("Bitstream", FONTE_MEDIA);
	tabWidget = new QTabWidget( this );
	tabWidget->setFont(fonte);

	wgtEscrito = new QWidget( tabWidget );
	tabWidget->addTab( wgtEscrito, "Escrito por:" );

	tedEscrito = new QTextEdit(wgtEscrito);
	tedEscrito->setText("Luis Csar C. Vasquez - luis@comunidadeabiblia.net\n\n\n\n\n\nEm dedicao:\n\nAo Senhor Jesus Cristo,\n\"O qual se deu a si mesmo por nossos pecados, para nos livrar do presente sculo mau, segundo a vontade de nosso Deus e Pai, a quem seja a glria para todo o sempre. Amm.\" (Glatas 01: 4,5)\n\nE aos que acreditam em mim...");
	tedEscrito->setReadOnly(TRUE);
	tedEscrito->setFont(fonte);

	wgtColaboradores = new QWidget( tabWidget );
	tabWidget->addTab( wgtColaboradores, "Colaboradores:" );

	tedColaboradores = new QTextEdit(wgtColaboradores);
	tedColaboradores->setText("Ricardo Moreira Braz do Nascimento - ricardo@comunidadeabiblia.net\nLucas Borges de Santana - lucasibf17@hotmail.com\nRafael Gil - rafaelgil2006@gmail.com\nEdmar Prandini - edmarrp@yahoo.com.br\nPaulo Robrio P. Oliveira - roberio1966@gmail.com\nRogrio A. Arnal - tristanroger@msn.com\nRodrigo Ortiz Cordeiro - rodrigo1.ortiz@gmail.com\nMariel de Jesus Teixeira - marieldejesus12@gmail.com");
	tedColaboradores->setReadOnly(TRUE);
	tedColaboradores->setFont(fonte);

	wgtLicenca = new QWidget( tabWidget );
	tabWidget->addTab( wgtLicenca, "Licena:" );

	tedLicenca = new QTextEdit(wgtLicenca);
	tedLicenca->setText(ferramentas.rw(DIR_LICENCA, 'r',""));
	tedLicenca->setReadOnly(TRUE);
	tedLicenca->setFont(fonte);

	btnCancelar->setText("Ok");
	btnCancelar->setToolTip("Fechar este Formulrio");
	
	tabWidget->setGeometry( QRect( 0, 3, 450, 307 ) );
	tedEscrito->setGeometry( 3, 3, 440, 273 );
	tedColaboradores->setGeometry( 3, 3, 440, 273 );
	tedLicenca->setGeometry( 3, 3, 440, 273 );
	
	btnCancelar->setGeometry( QRect( width() - 100, height() - 35, 90, 25 ) );
}

